Adds a nameserver to the DNS base

- « EventDnsBase

- EventDnsBase::addSearch »

- PHP Manual
- EventDnsBase
- Adds a nameserver to the DNS base

# EventDnsBase::addNameserverIp

(PECL event >= 1.2.6-beta)

EventDnsBase::addNameserverIp — Adds a nameserver to the DNS base

### Description

public EventDnsBase::addNameserverIp( string `$ip` ): bool

Adds a nameserver to the evdns_base.

### Parameters

`ip`

  The nameserver string, either as an IPv4 address, an IPv6 address, an IPv4 address with a port ( `IPv4:Port` ), or an IPv6 address with a port ( `[IPv6]:Port` ).

### Return Values

Returns `true` on success or `false` on failure.